Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ResultSetOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ResultSet`, `ClientWireProtocol.ResultSet.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.ResultSetOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlobLengths(int index)`
`repeated int32 blobLengths = 2;`
`int`
`getBlobLengthsCount()`
`repeated int32 blobLengths = 2;`
`List<Integer>`
`getBlobLengthsList()`
`repeated int32 blobLengths = 2;`
`ByteString`
`getBlobs(int index)`
`repeated bytes blobs = 3;`
`int`
`getBlobsCount()`
`repeated bytes blobs = 3;`
`List<ByteString>`
`getBlobsList()`
`repeated bytes blobs = 3;`
`int`
`getNumParts()`
`int32 numParts = 1;`
`long`
`getSequenceNumbers(int index)`
`repeated int64 sequenceNumbers = 4;`
`int`
`getSequenceNumbersCount()`
`repeated int64 sequenceNumbers = 4;`
`List<Long>`
`getSequenceNumbersList()`
`repeated int64 sequenceNumbers = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getNumParts

int getNumParts()
`int32 numParts = 1;`

Returns:
  The numParts.

### getBlobLengthsList

List<Integer> getBlobLengthsList()
`repeated int32 blobLengths = 2;`

Returns:
  A list containing the blobLengths.

### getBlobLengthsCount

int getBlobLengthsCount()
`repeated int32 blobLengths = 2;`

Returns:
  The count of blobLengths.

### getBlobLengths

int getBlobLengths(int index)
`repeated int32 blobLengths = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The blobLengths at the given index.

### getBlobsList

List<ByteString> getBlobsList()
`repeated bytes blobs = 3;`

Returns:
  A list containing the blobs.

### getBlobsCount

int getBlobsCount()
`repeated bytes blobs = 3;`

Returns:
  The count of blobs.

### getBlobs

ByteString getBlobs(int index)
`repeated bytes blobs = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The blobs at the given index.

### getSequenceNumbersList

List<Long> getSequenceNumbersList()
`repeated int64 sequenceNumbers = 4;`

Returns:
  A list containing the sequenceNumbers.

### getSequenceNumbersCount

int getSequenceNumbersCount()
`repeated int64 sequenceNumbers = 4;`

Returns:
  The count of sequenceNumbers.

### getSequenceNumbers

long getSequenceNumbers(int index)
`repeated int64 sequenceNumbers = 4;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The sequenceNumbers at the given index.